Only Safari is affected by this vuln!